package com.ruoyi.system.service;

import com.ruoyi.system.domain.vo.TreeSelect;
import java.util.List;
import com.ruoyi.system.api.domain.SysDept;

public interface ISysDeptService
{
    List<SysDept> selectDeptList(final SysDept p0);
    
    List<TreeSelect> selectDeptTreeList(final SysDept p0);
    
    List<SysDept> buildDeptTree(final List<SysDept> p0);
    
    List<TreeSelect> buildDeptTreeSelect(final List<SysDept> p0);
    
    List<Long> selectDeptListByRoleId(final Long p0);
    
    SysDept selectDeptById(final Long p0);
    
    int selectNormalChildrenDeptById(final Long p0);
    
    boolean hasChildByDeptId(final Long p0);
    
    boolean checkDeptExistUser(final Long p0);
    
    boolean checkDeptNameUnique(final SysDept p0);
    
    void checkDeptDataScope(final Long p0);
    
    int insertDept(final SysDept p0);
    
    int updateDept(final SysDept p0);
    
    int deleteDeptById(final Long p0);
}
